package com.lanyuanxiaoyao.service.yarn.response;

import com.lanyuanxiaoyao.service.configuration.entity.yarn.YarnApplication;
import org.eclipse.collections.api.list.ImmutableList;

/**
 * 接收类
 *
 * @author lanyuanxiaoyao
 * @date 2023-04-23
 */
public final class ApplicationsListResponse {
    private Apps apps;

    public Apps getApps() {
        return apps;
    }

    @Override
    public String toString() {
        return "ApplicationsResponse{" +
                "apps=" + apps +
                '}';
    }

    public static final class Apps {
        private ImmutableList<YarnApplication> app;

        public ImmutableList<YarnApplication> getApp() {
            return app;
        }

        @Override
        public String toString() {
            return "Apps{" +
                    "app=" + app +
                    '}';
        }
    }
}
